%define name gnomesword
%define version 0.7.8
%define release 1mdk

Summary:	Bible Study Software for Linux and the Gnome Desktop
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
#Patch0:	%{name}-%{version}.build.patch.bz2
URL:		http://gnomesword.sourceforge.net
License:	GPL
Group:		Text tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildRequires:	gtkhtml-devel >= 0.16 gal-devel >= 0.18 
BuildRequires:	aspell-devel sword-devel ImageMagick
Requires: 	sword aspell 

%description
GnomeSword is a GNOME interface to the Sword Project 
(http://www.croswire.org/sword)

The SWORD Bible Framework allows easy manipulation of Bible texts, 
commentaries, lexicons, dictionaries, etc.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
#%patch -p 1

%build
%configure
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/%{name}" \
icon="%{name}.png" \
longtitle="Bible Study Software for Linux and the Gnome Desktop" \
title="Gnome Sword" \
needs="x11" \
section="Applications/Text tools"
EOF

mkdir -p $RPM_BUILD_ROOT/{%{_liconsdir},%{_miconsdir}}
install pixmaps/GnomeSword.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 -resize 16x16 pixmaps/GnomeSword.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -size 32x32 -resize 32x32 pixmaps/GnomeSword.png %{buildroot}/%{_iconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

%clean
#rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL  NEWS README TODO
%{_bindir}/*
%{_datadir}/gnome/apps/Applications/gnomesword.desktop
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%exclude /usr/doc

%changelog
* Thu Mar 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.8-1mdk
- 0.7.8
- Cleanups
- ->contrib

* Wed Oct 09 2002 David Abilleira <david1@abilleira.com> 0.7.6-1mdk
- Updated to 0.7.6

* Wed Oct 09 2002 David Abilleira <david1@abilleira.com> 0.7.5-1mdk
- First package
